<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestMenuController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d52/a06806.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestMenuController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionQuestMenuController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d52/a06806.png" usemap="#ExpansionQuestMenuController_map" alt=""/>
  <map id="ExpansionQuestMenuController_map" name="ExpansionQuestMenuController_map">
<area href="../../d7/d20/a04410.html" alt="ExpansionViewController" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a85876854d0b50b5cf4c1da015b654917"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#a85876854d0b50b5cf4c1da015b654917">QuestTitle</a></td></tr>
<tr class="separator:a85876854d0b50b5cf4c1da015b654917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf6bdaa377a1a58c029d615de83bfdf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#a9cf6bdaa377a1a58c029d615de83bfdf">QuestDescription</a></td></tr>
<tr class="separator:a9cf6bdaa377a1a58c029d615de83bfdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae41044923c6d959318b1c09a70a531d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#ae41044923c6d959318b1c09a70a531d7">QuestObjective</a></td></tr>
<tr class="separator:ae41044923c6d959318b1c09a70a531d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828f3fdfced77c3dca96601389687fb5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#a828f3fdfced77c3dca96601389687fb5">DefaultText</a></td></tr>
<tr class="separator:a828f3fdfced77c3dca96601389687fb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a175a7101f9eb4134d7bae2ad98b1c408"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#a175a7101f9eb4134d7bae2ad98b1c408">HumanityVal</a></td></tr>
<tr class="separator:a175a7101f9eb4134d7bae2ad98b1c408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a417025a6ee39fc412085669fa67fd8c8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#a417025a6ee39fc412085669fa67fd8c8">QuestNPCName</a></td></tr>
<tr class="separator:a417025a6ee39fc412085669fa67fd8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac07c6e2c665556f7621f737d130825e0"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../dc/d31/a06830.html">ExpansionQuestMenuListEntry</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#ac07c6e2c665556f7621f737d130825e0">Quests</a> = new ObservableCollection&lt;ref <a class="el" href="../../dc/d31/a06830.html">ExpansionQuestMenuListEntry</a>&gt;(this)</td></tr>
<tr class="separator:ac07c6e2c665556f7621f737d130825e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4c082213fe026c9a2992f87085b4725"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#ac4c082213fe026c9a2992f87085b4725">RewardEntries</a> = new ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt;(this)</td></tr>
<tr class="separator:ac4c082213fe026c9a2992f87085b4725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abad8e9d17d8cb41939f8654b25fe21ae"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d52/a06806.html#abad8e9d17d8cb41939f8654b25fe21ae">ObjectiveItems</a> = new ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt;(this)</td></tr>
<tr class="separator:abad8e9d17d8cb41939f8654b25fe21ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00451">451</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a828f3fdfced77c3dca96601389687fb5" name="a828f3fdfced77c3dca96601389687fb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a828f3fdfced77c3dca96601389687fb5">&#9670;&#160;</a></span>DefaultText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::DefaultText</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00456">456</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a175a7101f9eb4134d7bae2ad98b1c408" name="a175a7101f9eb4134d7bae2ad98b1c408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a175a7101f9eb4134d7bae2ad98b1c408">&#9670;&#160;</a></span>HumanityVal</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::HumanityVal</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00457">457</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="abad8e9d17d8cb41939f8654b25fe21ae" name="abad8e9d17d8cb41939f8654b25fe21ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad8e9d17d8cb41939f8654b25fe21ae">&#9670;&#160;</a></span>ObjectiveItems</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt; ExpansionQuestMenuController::ObjectiveItems = new ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00461">461</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a9cf6bdaa377a1a58c029d615de83bfdf" name="a9cf6bdaa377a1a58c029d615de83bfdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cf6bdaa377a1a58c029d615de83bfdf">&#9670;&#160;</a></span>QuestDescription</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::QuestDescription</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00454">454</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a417025a6ee39fc412085669fa67fd8c8" name="a417025a6ee39fc412085669fa67fd8c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a417025a6ee39fc412085669fa67fd8c8">&#9670;&#160;</a></span>QuestNPCName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::QuestNPCName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00458">458</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="ae41044923c6d959318b1c09a70a531d7" name="ae41044923c6d959318b1c09a70a531d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae41044923c6d959318b1c09a70a531d7">&#9670;&#160;</a></span>QuestObjective</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::QuestObjective</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00455">455</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="ac07c6e2c665556f7621f737d130825e0" name="ac07c6e2c665556f7621f737d130825e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac07c6e2c665556f7621f737d130825e0">&#9670;&#160;</a></span>Quests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../dc/d31/a06830.html">ExpansionQuestMenuListEntry</a>&gt; ExpansionQuestMenuController::Quests = new ObservableCollection&lt;ref <a class="el" href="../../dc/d31/a06830.html">ExpansionQuestMenuListEntry</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00459">459</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="a85876854d0b50b5cf4c1da015b654917" name="a85876854d0b50b5cf4c1da015b654917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85876854d0b50b5cf4c1da015b654917">&#9670;&#160;</a></span>QuestTitle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionQuestMenuController::QuestTitle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00453">453</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<a id="ac4c082213fe026c9a2992f87085b4725" name="ac4c082213fe026c9a2992f87085b4725"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c082213fe026c9a2992f87085b4725">&#9670;&#160;</a></span>RewardEntries</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt; ExpansionQuestMenuController::RewardEntries = new ObservableCollection&lt;ref <a class="el" href="../../d0/dec/a06822.html">ExpansionQuestMenuItemEntry</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d43/a02378_source.html#l00460">460</a> of file <a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/5_mission/dayzexpansion_quests/gui/quests/<a class="el" href="../../d5/d43/a02378_source.html">expansionquestmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d52/a06806.html">ExpansionQuestMenuController</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
